### Property

# Gtk Label:wrap-mode

#### Declaration

    property wrap-mode: Pango.WrapMode [ read, write ]

#### Description [src]

Controls how the line wrapping is done.

This only affects the formatting if line wrapping is on (see the `GtkLabel:wrap` property). The default is `PANGO_WRAP_WORD`, which means wrap on word boundaries.

For sizing behavior, also consider the `GtkLabel:natural-wrap-mode` property.

Type: | `PangoWrapMode`

Default value | PANGO_WRAP_WORD
Getter method | `gtk_label_get_wrap_mode()`
Setter method | `gtk_label_set_wrap_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no